# Generated by Django 3.1.1 on 2020-10-13 07:40

from django.db import migrations, models
import django.db.models.deletion
import django_countries.fields


class Migration(migrations.Migration):

    dependencies = [
        ("core", "0001_initial"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="postal",
            name="pobox_city",
        ),
        migrations.RemoveField(
            model_name="postal",
            name="pobox_name",
        ),
        migrations.RemoveField(
            model_name="postal",
            name="pobox_postcode",
        ),
        migrations.CreateModel(
            name="POBox",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "country",
                    django_countries.fields.CountryField(
                        max_length=2, verbose_name="Country"
                    ),
                ),
                ("pobox_name", models.TextField(default="", verbose_name="POBox Name")),
                (
                    "pobox_postcode",
                    models.TextField(default="", verbose_name="POBox Post Code"),
                ),
                ("pobox_city", models.TextField(default="", verbose_name="POBox City")),
                (
                    "county",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="core.county",
                    ),
                ),
                (
                    "person",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="core_pobox_list",
                        to="core.person",
                    ),
                ),
                (
                    "status",
                    models.ForeignKey(
                        help_text="eg. active, moved, inactive",
                        limit_choices_to={"category__slug": "addressstatus"},
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="core_pobox_status",
                        to="core.term",
                    ),
                ),
                (
                    "type",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="core.addresstype",
                    ),
                ),
            ],
            options={
                "verbose_name": "Post office box",
                "verbose_name_plural": "Post office boxes",
            },
        ),
    ]
